Lintian Reports

E uses-deprecated-compression-for-data-tarball

All reports of uses-deprecated-compression-for-data-tarball for the archive. The extended description of this tag is:

The data portion of this binary package uses a deprecated compression format. Although dpkg will support extracting such binary packages for the foreseeable future, creating them will eventually be disallowed. A warning is emitted for lzma since dpkg 1.16.4, and for bzip2 since dpkg 1.17.7.

For lzma, xz is the direct replacement. For bzip2 either gzip or xz can be used as a substitute, depending on the wanted properties: gzip for maximum compatibility and speed, and xz for maximum compression ratio.

Severity: important, Certainty: certain

Check: deb-format, Type: binary, udeb

Evolution of the uses-deprecated-compression-for-data-tarball Lintian tag over the past 366 days:

The beforementioned graph for the uses-deprecated-compression-for-data-tarball tag

Emitted (non-overridden): 12, overridden: 0, total: 12

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

elmer 7.0.svn.6034+dfsg-2 (binary)

elmer-common 7.0.svn.6034+dfsg-2 (binary)

elmer-dbg 7.0.svn.6034+dfsg-2 (binary)

elmergui-samples 7.0.svn.6034+dfsg-2 (binary)

libelmer-dev 7.0.svn.6034+dfsg-2 (binary)

libelmersolver-7.0 7.0.svn.6034+dfsg-2 (binary)

libelmersolver-dbg 7.0.svn.6034+dfsg-2 (binary)